Bug 2604 - Add support for -geometry
Summary: Add support for -geometry
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI (show other bugs)
Version: 3.8.0
Hardware: PC Linux
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-02-17 22:44 CET by Gary E. Miller
Modified: 2016-02-19 19:19 CET (History)
0 users

See Also:


Attachments
Working implementation of -geometry support (3.02 KB, patch)
2016-02-09 15:49 CET, Ricardo Mones
mones: applied+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gary E. Miller 2012-02-17 22:44:27 CET
Every time I start claws-mail I need to resize the window.

can someone please add support for the standard X command line option:
  -geometry

So i could do this in a batch file:
  /usr/bin/claws-mail -geometry 987x945-28-12 &
Comment 1 Salvatore De Paolis 2012-02-17 22:52:32 CET
Claws Mail saves the window geometry each time you close it.
You could have asked first in the mailing list.
Comment 2 Gary E. Miller 2012-02-17 22:59:26 CET
> Claws Mail saves the window geometry each time you close it.

Yes, it does.  And THAT is my problem!  I usually do NOT want claws-mail to restart in the geometry I last ran it in.  If I could turn off geometry saving I would be happier, but the best solution is to allow CLI override.

Just about every X program supports -geometry and claws-mail should to.

> You could have asked first in the mailing list.

Sorry, I am new to claws-mail, I am an alpine expatriot.  Some projects prefer you to file bugs first, some to use an IRC channel,  and some to use a mailing list.  What maiing list shold I be asking on?
Comment 3 Ricardo Mones 2016-02-09 15:49:49 CET
Created attachment 1631 [details]
Working implementation of -geometry support
Comment 4 Gary E. Miller 2016-02-09 22:36:36 CET
Nice!  Looks like documenting was more work than just making it work.

Will this go in main source?
Comment 5 Ricardo Mones 2016-02-10 10:11:18 CET
(In reply to comment #4)
> Nice!  Looks like documenting was more work than just making it work.

Not really, the fact that gtk_window_parse_geometry didn't resize the window (only moves it) and had to resource to a gtk_window_resize call was somewhat puzzling. Glad you liked it.

> Will this go in main source?

Can't say when, but I guess so, unless somebody is against including it.

Is not tested on Windows, but according GTK+ docs it should work there too.
Comment 6 users 2016-02-19 19:19:03 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-02-19 19:19:02.939887260 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=171d2ca2e25f6a384de24c32079d2ecd8f704bee
Merge: 934a788 d1c40b3
Author: Colin Leroy <colin@colino.net>
Date:   Fri Feb 19 19:19:02 2016 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=d1c40b332d9bb908df7694d19a60b2319a2a00fc
Author: Ricardo Mones <ricardo@mones.org>
Date:   Fri Feb 19 19:15:12 2016 +0100

    Fix bug #2604: Add support for -geometry
    
    And document it too :-)